import unittest

import support
support.initthuban()

from Thuban.Model.layer import BaseLayer, Layer, RasterLayer

from Thuban.UI.layer_dialogs import add_layer_dialog, init_layer_dialogs, \
     open_properties_dialog

class TestLayerDialogs(unittest.TestCase):

    def test_layer_dialogs(self):

        class MyLayer(BaseLayer):
            pass

        my_class = MyLayer("test")
        props = []
        def my_fake_properties(parent, layer, group):
            print "Jaups"
            props.append((parent, group))

        add_layer_dialog('properties', MyLayer, my_fake_properties)

        open_properties_dialog(1, my_class, 3)

        self.assertEquals(props, [(1, 3)])


if __name__ == "__main__":
    support.run_tests()
